Public Member Functions

# SoundDriver_Null Class Reference

Implementation of the null sound driver. More...

`#include <null_s.h>`

Inheritance diagram for SoundDriver_Null:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
const char * | GetName () const
| Get the name of this driver.

## Detailed Description

Implementation of the null sound driver.

Definition at line 18 of file null_s.h.

## Member Function Documentation

const char* SoundDriver_Null::GetName | ( |  | ) | const`[inline, virtual]`

Get the name of this driver.

Returns:
  The name of the driver.

Implements Driver.

Definition at line 23 of file null_s.h.

const char* SoundDriver_Null::Start | ( | const char *const * | parm | ) | `[inline, virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 20 of file null_s.h.

The documentation for this class was generated from the following file:

- src/sound/null_s.h